Subject: bug#38164: quit-restore-window doesn't restore point in man

From: martin rudalics <[email-masked]>
Date: Tue, 19 Nov 2019 19:15:54 +0100

>> Quitting help should never destroy a window layout these days.  If it
 >> did, we'd have a bug.
 >
 > Sounds like there's some misunderstanding.  What I mean is this:
 >
 >    emacs -Q
 >    C-h f find-file RET (any function will do)
 >    C-x o
 >    q
 >
 > The last 'q' command deletes the window showing *Help*, and that is
 > what I call "quitting help".  I believe Emacs behaved like that since
 > time immemoriam.

Try with Emacs 22 and, for example,

emacs -Q
C-x 2
C-h f find-file RET (any function will do)
C-x o
q

Tempus fugit.

martin